## music123 7

=== Makefile ===
DESTDIR=/
PREFIX=usr/local

all: music123.1 music123 po-files

music123.1: music123.adb
	head -n 84 music123.adb | cut -c 4-100 > music123.1

music123: music123.adb support_routines.ads support_routines.adb ustring_list.ads vector.adb vector.ads intl.ads intl.adb
	gnatmake -g -gnatf -O2 music123.adb

po-files:
	cd po; ./Make.sh

install: music123.1 music123
	echo "To be used automatically only!"
	echo "If you're doing this by hand, copy them into place by hand."
	sleep 5s
	chmod 755 music123
	chmod 644 music123.1 wavgzplay.sh wavgzplay.sh.1
	cp music123 wavgzplay.sh $(DESTDIR)$(PREFIX)/bin
	cp music123.1 $(DESTDIR)$(PREFIX)/man/man1
	gzip -9 $(DESTDIR)$(PREFIX)/man/man1/music123.1
	cp README $(DESTDIR)$(PREFIX)/share/doc/music123
	cp music123rc.conf $(DESTDIR)/etc/music123rc
	cp wavgzplay.sh $(DESTDIR)$(PREFIX)/share/doc/music123/examples
	cp wavgzplay.sh.1 $(DESTDIR)$(PREFIX)/share/doc/music123/examples
	for i in *.mo; do mkdir -p $(DESTDIR)$(PREFIX)/share/locale/`basename $$i .mo`/LC_MESSAGES; cp $$i $(DESTDIR)$(PREFIX)/share/locale/`basename $$i .mo`/LC_MESSAGES/music123.mo; done

clean:
	-rm music123.1 music123 *.o *.ali *~ b~* *.mo

=== debian/changelog ===
music123 (7) unstable; urgency=low
   
  * The lonely male geek release.
  * The version of GNAT changed, meaning the soname of libgnat changed.
  * Recompile to fix that, and add build-depends so build daemons don't
    have the problem. 

 -- David Starner <dvdeug@debian.org>  Mon, 11 Feb 2001 02:35:37 -0600

music123 (6) unstable; urgency=low

  * Remove misleading statement from changelog.
  * Fix build-depends.
  * Change maintainer from dstarner98@aasaa.ofe.org to dvdeug@debian.org.

 -- David Starner <dvdeug@debian.org>  Thu, 20 Dec 2001 22:56:37 -0600

music123 (5) unstable; urgency=low

  * I18N support added.
  * No other changes.

 -- David Starner <dvdeug@debian.org>  Tue, 11 Dec 2001 20:47:02 -0600

music123 (4) unstable; urgency=low

  * Manpage fix. (Closes: #115230).
  * No other changes.

 -- David Starner <dstarner98@aasaa.ofe.org>  Mon, 15 Oct 2001 13:29:24 -0500

music123 (3) unstable; urgency=low

  * Added information to the copyright file (Closes: #108771).
  * Random randomizes the file list better.
  * README fixes. (Closes: #110447).
  * Added -D (no delay) option. (Closes: #108772).
  * Added -l (loop) and -Z (random loop).
  * I18N changes put off until the next release.

 -- David Starner <dstarner98@aasaa.ofe.org>  Mon, 10 Sep 2001 18:12:02 -0500

music123 (2) unstable; urgency=low

  * Hopefully, _this_ one will be the first release into Debian.
  * Build-depends syntax is fixed. 
  * Much improved startup time in the worst case.
  * Dropped libgtkada-dev build-dependency.
  * Playlist capability

 -- David Starner <dstarner98@aasaa.ofe.org>  Tue, 31 Jul 2001 22:54:05 -0500

music123 (1) unstable; urgency=low

  * First release.

 -- David Starner <dstarner98@aasaa.ofe.org>  Tue, 31 Jul 2001 22:54:05 -0500

=== debian/control ===
Source: music123
Section: sound
Priority: optional
Build-Depends: debmake, gnat (>= 3.14p-1), gettext
Maintainer: David Starner <dvdeug@debian.org>
Standards-Version: 3.2.1

Package: music123
Architecture: i386 sparc powerpc
Depends: ${shlibs:Depends}
Recommends: esound-clients, mpg321 | mpg123, vorbis-tools
Description: A command-line shell for sound-file players
 A command-line shell for programs like mpg123 and ogg123, music123
 plays a variety of sound files using a mpg123/ogg123-like interface.
 With all the Recommends installed, music123 plays wav, mp3 and 
 ogg files. By simply changing the config file, music123 can play any 
 sound file you have a player for.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=music123

build:
	$(checkdir)
	chmod +x po/Make.sh
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp PREFIX=/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd -m -s 
	rm `pwd`/debian/tmp/usr/bin/wavgzplay.sh
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## music123 14

=== Makefile ===
DESTDIR=/
PREFIX=usr/local

GM=gnatmake

all: music123 po-files

music123: music123.adb support_routines.ads support_routines.adb ustring_list.ads vector.adb vector.ads intl.ads intl.adb
	$(GM) -g -gnatf -O2 music123.adb

po-files:
	cd po; ./Make.sh

install: music123.1 music123
	echo "To be used automatically only!"
	echo "If you're doing this by hand, copy them into place by hand."
	sleep 5s
	chmod 755 music123
	chmod 644 music123.1 wavgzplay.sh wavgzplay.sh.1
	strip music123
	cp music123 wavgzplay.sh $(DESTDIR)$(PREFIX)/bin
	cp music123.1 $(DESTDIR)$(PREFIX)/man/man1
	cp music123.pl.1 $(DESTDIR)$(PREFIX)/man/pl/man1/music123.1
	gzip -9 $(DESTDIR)$(PREFIX)/man/man1/music123.1
	gzip -9 $(DESTDIR)$(PREFIX)/man/pl/man1/music123.1
	cp README $(DESTDIR)$(PREFIX)/share/doc/music123
	cp music123rc.conf $(DESTDIR)/etc/music123rc
	cp wavgzplay.sh $(DESTDIR)$(PREFIX)/share/doc/music123/examples
	cp wavgzplay.sh.1 $(DESTDIR)$(PREFIX)/share/doc/music123/examples
	for i in *.mo; do mkdir -p $(DESTDIR)$(PREFIX)/share/locale/`basename $$i .mo`/LC_MESSAGES; cp $$i $(DESTDIR)$(PREFIX)/share/locale/`basename $$i .mo`/LC_MESSAGES/music123.mo; done

clean:
	-rm music123 *.o *.ali *~ b~* *.mo

=== debian/changelog ===
music123 (14) unstable; urgency=low
  * The lovely lace release.
  * Added AMD64 to the architecture list. (Closes: #251586)
  * Add a comment about playing files with mplayer.
  * Except for the version number, the code and resulting assembly 
    (on ix86) is unchanged.

 -- David Starner <dvdeug@debian.org>  Sat, 12 Jun 2004 15:49:01 -0700

music123 (13) unstable; urgency=low
  * Light a candle release
  * Note that recent versions of vorbis-tools support Ogg Flac
    and Ogg Speex, too, and suggest them.
  * Add a note in README about music123 not handling sound; look in 
    ogg123 and mpg123 if the sound doesn't play. (Closes: #211917)
  * Fix the randomization function to use the algorithm from
    Knuth; I don't know that it works any better, but the placebo
    effect should work for, not against this one. (Closes: #184537)

 -- David Starner <dvdeug@debian.org>  Tue, 16 Dec 2003 02:47:55 -0800
 

music123 (12) unstable; urgency=low
  * Delete mips/mipsel from the architecture list, as
    gnat-* doesn't seem to exists over there.
  * Also remove gnat3.2 from build-depends.

 -- David Starner <dvdeug@debian.org>  Fri, 03 Oct 2003 11:45:34 -0700
   

music123 (11) unstable; urgency=low
  * The lost world release.
  * Since mips/mipsel can't build gnat3.3, accept gnat3.2.
 
 -- David Starner <dvdeug@debian.org>  Mon, 15 Sep 2003 02:33:38 -0700

music123 (10) unstable; urgency=low

  * The lost actress release.
  * The conffile had some entries with mixed case and some only
    in lower case. Changed all to include upper, title and lower
    case. Note this is a conffile change, and the program only
    recognizes the exact case given in the conffile. (Closes: #191741)
  * Update policy version and Build-Depends.
  * Upstream Author(s) is a compromise decision of the upstream 
    author(s).

 -- David Starner <dvdeug@debian.org>  Thu, 11 Sep 2003 23:45:38 -0700
 

music123 (9) unstable; urgency=low

  * The incompentent genius release.
  * Add a Polish translation which was sent to me in July.
    Thanks, Grzegorz "Konik" Kusnierz.
  * Correct various places where I thought I had updated
    the translation music123-8 release; sorry, Martin Quinson and
    Joost van Baal.

 -- David Starner <dvdeug@debian.org>  Thu, 19 Sep 2002 19:11:16 -0500
  

music123 (8) unstable; urgency=low

  * The quiet mathematician release.
  * Add delay option. (Closes: #139801)
  * Seperate out manpage.
  * Fix minor bug where -@ would include its argument in the file list.
  * If you speak a non-English language, music123 has less then 20 strings
    and a hundred line manpage, both of which can be translated. Please
    help.

 -- David Starner <dvdeug@debian.org>  Mon, 20 May 2002 00:14:19 -0500

=== debian/control ===
Source: music123
Section: sound
Priority: optional
Build-Depends: debmake, gnat-3.3, gettext
Maintainer: David Starner <dvdeug@debian.org>
Standards-Version: 3.6.0

Package: music123
Architecture: alpha hppa i386 ia64 powerpc s390 sparc amd64
Depends: ${shlibs:Depends}
Recommends: esound-clients, mpg321 | mpg123, vorbis-tools
Suggests: vorbis-tools (<= 1.0.1)
Description: A command-line shell for sound-file players
 A command-line shell for programs like mpg123 and ogg123, music123
 plays a variety of sound files using a mpg123/ogg123-like interface.
 With all the Recommends installed, music123 plays wav, mp3 and 
 ogg files. By simply changing the config file, music123 can play any 
 sound file you have a player for.
 .
 (If you install a recent version of vorbis-tools, music123 will
 handle Ogg Flac and Ogg Speex files too.)

## music123 15

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: music123
 Section: sound
 Priority: optional
-Build-Depends: debmake, gnat-3.3, gettext
-Maintainer: David Starner <dvdeug@debian.org>
-Standards-Version: 3.6.0
+Build-Depends: debhelper (>= 5), gnat-4.0, gettext
+Maintainer: Maxime ROBACHE <mrobache@linux.utc.fr> 
+Standards-Version: 3.6.2
 
 Package: music123
-Architecture: alpha hppa i386 ia64 powerpc s390 sparc amd64
+Architecture: alpha amd64 hppa i386 ia64 mips mipsel powerpc s390 sparc ppc64 kfreebsd-i386 kfreebsd-amd64
 Depends: ${shlibs:Depends}
 Recommends: esound-clients, mpg321 | mpg123, vorbis-tools
-Suggests: vorbis-tools (<= 1.0.1)
 Description: A command-line shell for sound-file players
  A command-line shell for programs like mpg123 and ogg123, music123
  plays a variety of sound files using a mpg123/ogg123-like interface.

## music123 15-0.1

=== debian/changelog ===
music123 (15-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to gnat 4.1.  Closes: #376673.

 -- Matej Vela <vela@debian.org>  Wed, 12 Jul 2006 11:18:59 +0200

music123 (15) unstable; urgency=low

  * NMU New Maintainer: Maxime ROBACHE. Closes: #285163.
  * Man and program update concerning ~/.music123rc. Closes: #297716.
  * New architecture support : kfreebsd-amd64. Closes: #361625.

 -- Maxime ROBACHE <mrobache@linux.utc.fr>  Mon, 17 Apr 2006 22:20:00 +0000

music123 (14.2) unstable; urgency=medium

  * QA upload.
  * Switch to gnat 4.0.  Closes: #357296.
  * support_routines.adb: Fully qualify GNAT.IO_Aux.Get_Line to avoid
    ambiguity with Ada.Text_IO.Get_Line.
  * Switch to debhelper.
  * debian/copyright:
    - Update FSF address.
    - Fix GPL path.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu, 16 Mar 2006 22:37:36 +0100

music123 (14.1) unstable; urgency=low
  * NMU with maintainer permission. 
  * Orphaning the package.
  * Switch to gnat-3.4 as gnat-3.3 is not available anymore.
  * Added mips, mipsel, ppc64 and kfreebsd-i386 to the list of supported
    architectures (closes: bug#333014, bug#301104, bug#345064).
  * Remove suggestion of vorbis-tools as it is already in recommends.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Dec 2005 08:48:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: music123
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 5), gnat-4.0, gettext
+Build-Depends: debhelper (>= 5), gnat-4.1, gettext
 Maintainer: Maxime ROBACHE <mrobache@linux.utc.fr> 
 Standards-Version: 3.6.2

## music123 15-0.2

=== Makefile ===
--- 
+++ 
@@ -19,10 +19,10 @@
 	chmod 644 music123.1 wavgzplay.sh wavgzplay.sh.1
 	strip music123
 	cp music123 wavgzplay.sh $(DESTDIR)$(PREFIX)/bin
-	cp music123.1 $(DESTDIR)$(PREFIX)/man/man1
-	cp music123.pl.1 $(DESTDIR)$(PREFIX)/man/pl/man1/music123.1
-	gzip -9 $(DESTDIR)$(PREFIX)/man/man1/music123.1
-	gzip -9 $(DESTDIR)$(PREFIX)/man/pl/man1/music123.1
+	cp music123.1 $(DESTDIR)$(PREFIX)/share/man/man1
+	cp music123.pl.1 $(DESTDIR)$(PREFIX)/share/man/pl/man1/music123.1
+	gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/music123.1
+	gzip -9 $(DESTDIR)$(PREFIX)/share/man/pl/man1/music123.1
 	cp README $(DESTDIR)$(PREFIX)/share/doc/music123
 	cp music123rc.conf $(DESTDIR)/etc/music123rc
 	cp wavgzplay.sh $(DESTDIR)$(PREFIX)/share/doc/music123/examples

=== debian/changelog ===
music123 (15-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to gnat-4.3.  Closes: #485663.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 13 Sep 2008 16:14:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: music123
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 5), gnat-4.1, gettext
+Build-Depends: debhelper (>= 5), gnat-4.3, gettext
 Maintainer: Maxime ROBACHE <mrobache@linux.utc.fr> 
 Standards-Version: 3.6.2

=== music123-14.3/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	chmod +x po/Make.sh
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/music123 PREFIX=/usr
	rm debian/music123/usr/bin/wavgzplay.sh

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## music123 16.2

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,21 @@
 DESTDIR=/
 PREFIX=usr/local
 
+MAIN := music123
+
 GM=gnatmake
 
-all: music123 po-files
+all: $(MAIN) po-files
 
-music123: music123.adb support_routines.ads support_routines.adb ustring_list.ads vector.adb vector.ads intl.ads intl.adb
-	$(GM) -g -gnatf -O2 music123.adb
+.PHONY: $(MAIN)
+$(MAIN):
+	$(GM) -g -gnatf -gnatwa -gnaty -gnatwe -O2 $(MAIN)
 
 po-files:
 	cd po; ./Make.sh
+
+install_strip:install
+	strip $(DESTDIR)$(PREFIX)/bin/music123
 
 install: music123.1 music123
 	echo "To be used automatically only!"
@@ -17,7 +23,6 @@
 	sleep 5s
 	chmod 755 music123
 	chmod 644 music123.1 wavgzplay.sh wavgzplay.sh.1
-	strip music123
 	cp music123 wavgzplay.sh $(DESTDIR)$(PREFIX)/bin
 	cp music123.1 $(DESTDIR)$(PREFIX)/share/man/man1
 	cp music123.pl.1 $(DESTDIR)$(PREFIX)/share/man/pl/man1/music123.1
@@ -30,4 +35,5 @@
 	for i in *.mo; do mkdir -p $(DESTDIR)$(PREFIX)/share/locale/`basename $$i .mo`/LC_MESSAGES; cp $$i $(DESTDIR)$(PREFIX)/share/locale/`basename $$i .mo`/LC_MESSAGES/music123.mo; done
 
 clean:
-	-rm music123 *.o *.ali *~ b~* *.mo
+	gnatclean $(MAIN)
+	$(RM) *~ *.mo

## music123 16.3

=== Makefile ===
#!/usr/bin/make

MAIN             := music123

GNATMAKE         := gnatmake
CFLAGS           := -g -O2 -gnatf -gnatwa -gnaty -gnatwe
LDFLAGS          :=

GZIP_FLAGS       := --best --name
STRIP_OPTION     :=
MSGFMT_FLAGS     :=

DESTDIR          := /
PREFIX           := usr/local
INSTALL_BIN      := $(DESTDIR)/$(PREFIX)/bin
INSTALL_DOC      := $(DESTDIR)/$(PREFIX)/share/doc/$(MAIN)
INSTALL_ETC      := $(DESTDIR)/etc
INSTALL_EXAMPLES := $(DESTDIR)/$(PREFIX)/share/doc/$(MAIN)/examples
INSTALL_LOCALE   := $(DESTDIR)/$(PREFIX)/share/locale
INSTALL_MAN      := $(DESTDIR)/$(PREFIX)/share/man


# Default target.
.PHONY: build
build:
# build prerequisites will be added later

.PHONY: install
install:: build
# install rules will be added later

.PHONY: clean
clean::
	find . -name "*~" -delete
# clean rules will be added later


###########################################################################
# Documentation, examples and system-wide configuration

install::
	install -D --mode 644 README          $(INSTALL_DOC)/README
	install -D --mode 644 music123rc.conf $(INSTALL_ETC)/music123rc
	install -D --mode 644 wavgzplay.sh.1  $(INSTALL_EXAMPLES)/wavgzplay.sh.1
	install -D --mode 755 wavgzplay.sh    $(INSTALL_EXAMPLES)/wavgzplay.sh

###########################################################################
# Main executable

build: $(MAIN)

.PHONY: $(MAIN) # allways call gnatmake
$(MAIN):
	$(GNATMAKE) $@ -cargs $(CFLAGS) -largs $(LDFLAGS)

install::
	install $(STRIP_OPTION) -D --mode 755 $(MAIN) $(INSTALL_BIN)/$(MAIN)

clean::
	rm -f $(MAIN) b~$(MAIN)* *.o *.ali

###########################################################################
# Manpage

MANPAGE := $(MAIN).1.gz

build: $(MAIN).1.gz

$(MAIN).1.gz: $(MAIN).1
	gzip $(GZIP_FLAGS) $< --stdout > $@

install::
	install -D --mode 644 $(MAIN).1.gz $(INSTALL_MAN)/man1/$(MAIN).1.gz

clean::
	rm -f $(MAIN).1.gz

###########################################################################
# Manpages translations

MAN_TRANSLATIONS        := $(wildcard $(MAIN).*.1)
MAN_TRANSLATION_LOCALES := $(patsubst $(MAIN).%.1,%,$(MAN_TRANSLATIONS))
MAN_TRANSLATION_TARGETS := $(addsuffix .man,$(MAN_TRANSLATION_LOCALES))

build: $(MAN_TRANSLATION_TARGETS)

$(MAN_TRANSLATION_TARGETS): %.man: $(MAIN).%.1
	gzip $(GZIP_FLAGS) $< --stdout > $@

install::
	for locale in $(MAN_TRANSLATION_LOCALES); do \
          install -D --mode 644 $$locale.man $(INSTALL_MAN)/$$locale/man1/$(MAIN).1.gz; \
        done

clean::
	rm -f $(MAN_TRANSLATION_TARGETS)

###########################################################################
# Gettext

PO_FILES   := $(wildcard po/*.po)
MO_LOCALES := $(patsubst po/%.po,%,$(PO_FILES))
MO_TARGETS := $(addsuffix .mo,$(MO_LOCALES))

build: $(MO_TARGETS)

$(MO_TARGETS): %.mo: po/%.po
	msgfmt $(MSGFMT_FLAGS) $< -o $@

install::
	for locale in $(MO_LOCALES); do \
          install -D --mode 644 $$locale.mo $(INSTALL_LOCALE)/$$locale/LC_MESSAGES/$(MAIN).mo; \
        done

clean::
	rm -f $(MO_TARGETS)

=== debian/changelog ===
music123 (16.3-4) unstable; urgency=low

  [Nicolas Boulenguez]
  * control: only Recommend alsa-utils on Linux architectures.
  * source/options: use default compressor for Debian diff.

  [Xavier Grave]
  * compile using gnat-4.8
  * Standards-Version: 3.9.5. Remove DM-Upload-Allowed field

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sat, 02 Nov 2013 12:48:18 +0100

music123 (16.3-3) unstable; urgency=low

  * Standard-Versions 3.9.3: updated DEP URL in copyright file.
  * debhelper 9: no changes (upstream Makefile ignores environment).
  * control: executables do not need depending on versioned gnat.
  * rules: existence of buildflags.mk guaranteed by dpkg-dev (1.16.1).
    Use dh-ada-library Makefile snippet for build flags and parralelism.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 17 May 2012 10:14:12 +0200

music123 (16.3-2) unstable; urgency=low

  * revert get-orig-source to give last upstream version as did the
    Nicolas' solution which is respecting debian-policy requirements
  * remove the minus in front of include in debian/rules
    preferred solution enclose the include in a test

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 30 Oct 2011 21:31:25 +0100

music123 (16.3-1) unstable; urgency=low

  [Nicolas Boulenguez]
  * New upstream (Closes: #572890).
  * control (Build-Depends): dpkg-dev (>= 1.16.1) to set CFLAGS.
    (Recommends): alsa-utils/aplay
    instead of esound-clients/esdplay, removed from Debian.
  * source/options: compression for debian patch.
  * rules: get-orig-source now respect debian-policy requirements,
    Debian default LDFLAGS are used.

  [Xavier Grave]
  * adapt debian/rules file to avoid pbuilder clean pass problem
  * get-orig-source now generates tar.gz file containing the changelog version
  * new upstream : task to handle commands

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 30 Oct 2011 01:40:59 +0200

music123 (16.2-3) unstable; urgency=low

  [Xavier Grave]
  * Build with gnat-4.6
  * Fix some lintian warnings
  * Enhance get-orig-source target
  * Go for debhelper 8.1.3
  * Add a patch to avoid clean target error with pbuilder

  [Nicolas Boulenguez]
  * Switched to 3.0 (quilt) source format.
  * copyright: DEP-5 compliant.
  * rules: simplified with debhelper overrides.
  * control (Uploaders): added myself.
    (Homepage): canonical domain name.
    (Standards-Version): 3.9.2
  * watch: contains only comments, no upstream tarballs outside debian.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 27 Sep 2011 12:37:59 +0200

music123 (16.2-2) unstable; urgency=low
  * 16.0-1 reached testing

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 16 Mar 2010 15:21:26 +0100

music123 (16.2-1) experimental; urgency=low
  * New upstream version.
    - use Ada.Containers.Vectors
      use temporary file list for the sort before appending
      files in a directory
    Closes: #239769.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon,  8 Mar 2010 10:54:20 +0100

music123 (16.0-1) unstable; urgency=low

  [Xavier Grave]
  * New upstream version.
    Closes: #444319, #437601, #541738.
  * New Maintainer taking charge with permission from the previous maintainer
    Closes: #571190.
  * separate sources from debian directory
    - with the help of monotone and www.ada-france.org
  * Architecture support changes to any.  Closes: #568449.
  * upgrade to gnat-4.4
    - build depend on gnat
    Closes: #571191.

  [Ludovic Brenta]
  * Sponsor the package.
  * DM-Upload-Allowed: yes.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Thu,  4 Mar 2010 11:14:20 +0100

=== debian/control ===
Source: music123
Section: sound
Priority: optional
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
  gnat-4.8,
  dh-ada-library,
  gettext
Maintainer: Xavier Grave <xavier.grave@ipno.in2p3.fr>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.music123
Vcs-Mtn: www.ada-france.org org.debian.music123
Homepage: http://ada-france.org:8081/branch/changes/org.music123
Standards-Version: 3.9.5

Package: music123
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsa-utils [linux-any], mpg321 | mpg123, vorbis-tools
Description: Command-line shell for sound-file players
 A command-line shell for programs like mpg123 and ogg123, music123
 plays a variety of sound files using a mpg123/ogg123-like interface.
 With all the Recommends installed, music123 plays wav, mp3 and
 ogg files. By simply changing the config file, music123 can play any
 sound file you have a player for.
 .
 (If you install a recent version of vorbis-tools, music123 will
 handle Ogg Flac and Ogg Speex files too.)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging.mk

.PHONY:  build build-arch build-indep clean binary binary-arch binary-indep install
build build-arch build-indep clean binary binary-arch binary-indep install:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
          CFLAGS="$(ADAFLAGS)" \
          LDFLAGS="$(LDFLAGS)" \
          GNATMAKE="gnatmake $(BUILDER_OPTIONS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=usr

mtn_uri := mtn://www.ada-france.org?org.music123
orig_dir := music123.orig
orig_tgz := music123.orig.tar.gz

get-orig-source:
	TMPDIR=$$(mktemp --tmpdir --directory music123-get-orig-source-XXXXXXXXXX) && \
        mtn clone -d $$TMPDIR/db.mtn $(mtn_uri) -k "" $$TMPDIR/$(orig_dir) && \
        (cd $$TMPDIR && tar --create --gzip --exclude="_MTN" $(orig_dir)) > $(orig_tgz) ; \
        rm -rf $$TMPDIR
	@echo "The file $(orig_tgz) contains the latest Debian snapshot of upstream sources."

## music123 16.4

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,11 @@
 MAIN             := music123
 
 GNATMAKE         := gnatmake
-CFLAGS           := -g -O2 -gnatf -gnatwa -gnaty -gnatwe
-LDFLAGS          :=
+BUILDER_OPTIONS  :=
+
+# Inherit ADAFLAGS, LDFLAGS if set in the environment.
+ADAFLAGS         ?= -g -O2 -gnatf -gnatwa -gnaty -gnatwe
+LDFLAGS          ?=
 
 GZIP_FLAGS       := --best --name
 STRIP_OPTION     :=
@@ -47,11 +50,8 @@
 ###########################################################################
 # Main executable
 
-build: $(MAIN)
-
-.PHONY: $(MAIN) # allways call gnatmake
-$(MAIN):
-	$(GNATMAKE) $@ -cargs $(CFLAGS) -largs $(LDFLAGS)
+build:
+	$(GNATMAKE) $(BUILDER_OPTIONS) $(MAIN) -cargs $(ADAFLAGS) -largs $(LDFLAGS)
 
 install::
 	install $(STRIP_OPTION) -D --mode 755 $(MAIN) $(INSTALL_BIN)/$(MAIN)

=== debian/changelog ===
music123 (16.4-4build1) focal; urgency=medium

  * No-change rebuild for gnat-9.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2020 11:52:55 +0100

music123 (16.4-4) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Debhelper 12, Standards-Version 4.4.1, Rules-Requires-Root no.
  * Wrap and sort build dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 10 Dec 2019 23:01:30 +0100

music123 (16.4-3) unstable; urgency=medium

  * Debhelper 11.
  * Drop obsolete version restrictions in Build-Dependencies.
  * Set me as maintainer until someone adopts the package.
  * Update format for VCS-Mtn URL.
  * Standards-Version 4.1.4.
  * Replace watch/get-orig-source with a human-readable README.source.
  * copyright: HTTPS format URL, drop obsolete Upstream-Contact.
  * Add minimal runtime test.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 12:56:16 +0200

music123 (16.4-2) unstable; urgency=medium

  * Rebuild with gnat-6 and all hardening flags.
  * Standards-Version: 3.9.8 (no changes)

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 17:57:22 +0200

music123 (16.4-1) unstable; urgency=medium

  * New upstream release, requiring gnat >= 4.9.
  * control: Standards-Version: 3.9.6 (no changes).
  * rules: let binary be the default target.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 20 Oct 2015 23:44:08 +0200

music123 (16.3-6) unstable; urgency=low

  * Update Debian Maintainer email address, ipno => csnsm

 -- Xavier Grave <xavier.grave@csnsm.in2p3.fr>  Mon, 28 Apr 2014 10:41:18 +0200

music123 (16.3-5) unstable; urgency=medium

  * Build-Depends: gnat with debian_packaging.mk. Closes: #746069.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Apr 2014 23:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: music123
 Section: sound
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
-  gnat-4.8,
-  dh-ada-library,
-  gettext
-Maintainer: Xavier Grave <xavier.grave@ipno.in2p3.fr>
-Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.music123
-Vcs-Mtn: www.ada-france.org org.debian.music123
-Homepage: http://ada-france.org:8081/branch/changes/org.music123
-Standards-Version: 3.9.5
+Build-Depends:
+  debhelper-compat (= 12),
+  gettext,
+  gnat,
+Maintainer: Nicolas Boulenguez <nicolas@debian.org>
+Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>
+Vcs-Browser: https://salsa.debian.org/debian/music123
+Vcs-Git: https://salsa.debian.org/debian/music123.git
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 
 Package: music123
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

GNAT_VERSION := $(shell gnatgcc -dumpversion)
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(foreach v,ADAFLAGS BUILDER_OPTIONS LDFLAGS,'$(v)=$($(v))')

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- PREFIX=usr

=== debian/tests/control ===
Test-Command: music123 -h
Restrictions: allow-stderr

## music123 16.6

=== Makefile ===
--- 
+++ 
@@ -6,21 +6,21 @@
 BUILDER_OPTIONS  :=
 
 # Inherit ADAFLAGS, LDFLAGS if set in the environment.
-ADAFLAGS         ?= -g -O2 -gnatf -gnatwa -gnaty -gnatwe
+ADAFLAGS         ?= -g -O2 -gnatf -gnatwa -gnaty
 LDFLAGS          ?=
 
 GZIP_FLAGS       := --best --name
 STRIP_OPTION     :=
 MSGFMT_FLAGS     :=
 
-DESTDIR          := /
-PREFIX           := usr/local
-INSTALL_BIN      := $(DESTDIR)/$(PREFIX)/bin
-INSTALL_DOC      := $(DESTDIR)/$(PREFIX)/share/doc/$(MAIN)
+DESTDIR          ?=
+prefix           ?= /usr
+INSTALL_BIN      := $(DESTDIR)$(prefix)/bin
+INSTALL_DOC      := $(DESTDIR)$(prefix)/share/doc/$(MAIN)
 INSTALL_ETC      := $(DESTDIR)/etc
-INSTALL_EXAMPLES := $(DESTDIR)/$(PREFIX)/share/doc/$(MAIN)/examples
-INSTALL_LOCALE   := $(DESTDIR)/$(PREFIX)/share/locale
-INSTALL_MAN      := $(DESTDIR)/$(PREFIX)/share/man
+INSTALL_EXAMPLES := $(DESTDIR)$(prefix)/share/doc/$(MAIN)/examples
+INSTALL_LOCALE   := $(DESTDIR)$(prefix)/share/locale
+INSTALL_MAN      := $(DESTDIR)$(prefix)/share/man
 
 
 # Default target.

=== debian/changelog ===
music123 (16.6-1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 22 Apr 2020 00:04:23 +0200

music123 (16.5-1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 17 Apr 2020 20:25:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>
 Vcs-Browser: https://salsa.debian.org/debian/music123
 Vcs-Git: https://salsa.debian.org/debian/music123.git
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
 Package: music123

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,3 @@
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	dh_auto_build -- $(foreach v,ADAFLAGS BUILDER_OPTIONS LDFLAGS,'$(v)=$($(v))')
-
-.PHONY: override_dh_auto_install
-override_dh_auto_install:
-	dh_auto_install -- PREFIX=usr

=== debian/tests/control ===
Test-Command: music123 -h
